
export default prefix => ({
  fetchBillList: {
    url: `${prefix}/bills`,
    method: 'get',
    action: 'admin.bills'
  },

  // 保存草稿 或者 发布账单
  billUploadExcelAdd: {
    url: `${prefix}/bill/uploadExcel/add`,
    method: 'post',
    action: 'admin.bill.add'
  },

  // 根据 id 修改缴费项状态
  updateBillStatus: {
    url: `${prefix}/bill/updateBillStatus/:id`,
    method: 'put',
    action: 'admin.bill.status'
  },

  //  根据 id集合 删除缴费项
  deleteBillBeach: {
    url: `${prefix}/bill/deleteBillBeach`,
    method: 'post',
    action: 'admin.bill.delete'
  },

  // 下载excel模板
  billDownloadExcel: {
    url: `${prefix}/bill/downloadExcel`,
    method: 'get',
    action: 'admin.bill.downloadExcel'
  },

  // 根据收费项ID查询,收费项详情
  getBillInfoBydId: {
    url: `${prefix}/bill/:id`,
    method: 'get',
    action: 'admin.bill.get'
  }

})
